{smcl}
{* *! version 1.0.0  dec2012}{...}
{cmd:help mcmcbgr} 
{hline}

{title:Title}

{p2colset 5 16 18 2}{...}
{p2col :{hi:mcmcbgr} {hline 2}}Brooks-Gelman-Rubin plot for a single parameter{p_end}
{p2colreset}{...}


{title:Syntax}

{phang2}
{cmd:mcmcbgr}
{varname} 
{ifin}{cmd:,}
{opth c:hain(varname)} 
[{it:options}]

{synoptset 24 tabbed}{...}
{synopthdr}
{synoptline}
{p2coldent:* {opth c:hain(varname)}}ID variable for chain{p_end}
{synopt:{opt m(#)}}number of plotting points{p_end}
{synopt:{opt v:ariance}}plot based on variances rather than 80% intervals{p_end}
{synopt:{opt byc:hain}}plot each chain rather than the average of chains{p_end}
{synopt:{opt i:teration(varname)}}counter for the x axis{p_end}
{synopt:{opt gopt:ions(string)}}any {helpb twoway_options:twoway} options to
affect rendition of the individual plots{p_end}
{synopt:{opt cgopt:ions(string)}}any {helpb graph combine} options to affect
rendition of combining plots{p_end}
{synopt:{cmdab:s:ave(}{it:string}{cmd:, replace)}}{cmd:.dta} file for the plotting points{p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}
* {cmd:chain()} is required.{p_end}


{title:Description}

{pstd}
{cmd:mcmcbgr} creates a Brooks-Gelman-Rubin plot (see 
{help mcmcbgr##BG1998:Brooks and Gelman [1998]})
for assessing the convergence of parallel chains.  The plot is most useful
when the chains start from widely dispersed initial values.  As the chains
come closer into agreement, the variability of the pooled chain should be
similar to the average variability of the individual chains. The original
suggestion was for a plot based on two estimates of the variance of the
posterior distribution: one pooling all the chains and the other averaging
the within-chain variance. The ratio of the two variances was called R. Doubt
was expressed about the interpretation of this measure when the posterior is
nonnormal, and a robust alternative was suggested based on the interval
between the 10% and 90% centiles so that R equals the ratio of the interval
length from all data to the average interval length of the separate chains.
In each case, R is calculated for increasing chain sizes. For a subchain
consisting of the first N values, R is calculated from the second half of the
subchain and then plotted against N. R should approach 1 if the chains have
converged. The lower plot shows the variance or interval length based on all
chains pooled (solid line) and on the average of the subchains (dashed line).
These should stabilize into horizontal lines.


{title:Options}

{phang}
{opth chain(varname)} specifies the variable identifying the chains as
1, 2, 3, .... {cmd:chain()} is required.

{phang}
{opt m(#)} specifies the number of plotting points. The default is
{cmd:m(20)}.

{phang}
{opt variance} specifies to plot on the basis of variances. The default is
to plot on the basis of intervals.

{phang}
{opt bychain} specifies to show each chain's estimate instead of the average
across chains in the lower plot.

{phang}
{opth iteration(varname)} specifies the variable containing the order of the
chain for use as the x axis. If {cmd:iteration()} is not specified, then the
data are plotted in the order in which they appear in the file at points 1, 2,
3, ....

{phang}
{opt goptions(string)} are any of the {helpb twoway_options:twoway} options
for controlling the upper and lower plots. 

{phang}
{opt cgoptions(string)} are any of the {helpb graph combine} options to
control the combining of the two plots. 

{phang}
{cmd:save(}{it:string}{cmd:, replace)} specifies the Stata data file
({cmd:.dta}) for saving the plotting points.


{title:Example}

{phang}{cmd:. mcmcbgr alpha, chain(c)}{p_end}


{title:Reference}

{marker BG1998}{...}
{phang}
Brooks, S. P., and A. Gelman.  1998.
General methods for monitoring convergence of iterative simulations.
{it:Journal of Computational and Graphical Statistics} 7: 434-455.


{title:Author}

{pstd}
John Thompson{break}
Department of Health Sciences{break}
University of Leicester, UK{break}

{pstd}
Please report any errors to
{browse "mailto:john.thompson@le.ac.uk":john.thompson@le.ac.uk}.
{p_end}
