{smcl}
{* *! version 1.0.0  dec2012}{...}
{cmd:help mcmcgeweke} 
{hline}

{title:Title}

{p2colset 5 19 21 2}{...}
{p2col :{hi:mcmcgeweke} {hline 2}}Compare the means of early and late sections of a chain{p_end}
{p2colreset}{...}


{title:Syntax}

{phang2}
{cmd:mcmcgeweke}
{varlist} 
{ifin}
[{cmd:,} {it:options}]

{synoptset 18}{...}
{synopthdr}
{synoptline}
{synopt:{opt p:ercentages(# #)}}percentages in the early and late sections{p_end}
{synoptline}
{p2colreset}{...}


{title:Description}

{pstd}
{cmd:mcmcgeweke} is similar to the Geweke convergence test except that it uses
{helpb prais} regression to estimate the standard errors. The test compares the
mean of the early part of a chain (default 10%) with the mean of the late part
of a chain (default 50%). Means, standard errors, and p-values are returned.
{cmd:mcmcgeweke} is byable, which makes it easy to analyze multiple chains.


{title:Option}

{phang}
{opt percentages(# #)} specifies the percentages in the early and late
sections.  The default is {cmd:percentage(10 50)}.


{title:Examples}

{phang}{cmd:. mcmcgeweke alpha beta, percentages(20 40)}{p_end}
{phang}{cmd:. sort chain iteration}{p_end}
{phang}{cmd:. by chain: mcmcgeweke alpha beta}{p_end}


{title:Stored results}

{pstd}
{cmd:mcmcgeweke} stores the results for the first parameter in the varlist with
the name ending in {cmd:_1}.  The mean and standard errors of the early and
late sections are {cmd:r(m1_1)}, {cmd:r(se1_1)}, {cmd:r(m2_1)}, and
{cmd:r(se2_1)}; the test statistic and p-value are {cmd:r(z_1)} and
{cmd:r(p_1)}. The second parameter's statistics are returned as {cmd:r(m1_2)},
{cmd:r(se1_2)}, etc.


{title:Author}

{pstd}
John Thompson{break}
Department of Health Sciences{break}
University of Leicester, UK{break}

{pstd}
Please report any errors to
{browse "mailto:john.thompson@le.ac.uk":john.thompson@le.ac.uk}.
{p_end}
