{smcl}
{* *! version 1.0.0  Dec2012}{...}
{cmd:help mcmclength} 
{hline}

{title:Title}

{p2colset 5 19 21 2}{...}
{p2col :{hi:mcmclength} {hline 2}}Estimate the required run length for an MCMC run{p_end}
{p2colreset}{...}


{title:Syntax}

{phang2}
{cmd:mcmclength} {varlist} {ifin}
[{cmd:,} {it:options}]

{synoptset 20}{...}
{synopthdr}
{synoptline}
{synopt:{opt b:locksize(#)}}size of the bootstrap blocks{p_end}
{synopt:{opt t:arget(#)}}required standard error{p_end}
{synopt:{opt pt:arget(#)}}required percentage accuracy{p_end}
{synopt:{opt l:evel(#)}}size of credible intervals{p_end}
{synopt:{opt boot:opts(string)}}options passed directly to {helpb bootstrap}{p_end}
{synopt:{opt ac(#)}}autocorrelation for defining blocksize{p_end}
{synoptline}
{p2colreset}{...}


{title:Description}

{pstd}
{cmd:mcmclength} uses an existing short MCMC run to estimate the total number
of updates that would be required to obtain a given accuracy in the mean,
standard deviation, or credible interval. Current accuracy (standard error) is
assessed using a blocked bootstrap. The target accuracy is expressed either by
specifying a standard error directly (option {cmd:target()}) or by specifying
the standard error as a percentage of the estimated mean (option
{cmd:ptarget()}). The number of updates is scaled proportionately depending on
the current and target standard errors.


{title:Options}

{phang}
{opt blocksize(#)} specifies the size of blocks in the blocked bootstrap. If
this option is specified, the {cmd:ac()} option is ignored.

{phang}
{opt target(#)} specifies the required standard error. If this option is
specified, the {cmd:ptarget()} option is ignored.

{phang}
{opt ptarget(#)} specifies the required percentage accuracy. 
The default is {cmd:ptarget(5)}.

{phang}
{opt level(#)} specifies the size of credible intervals as a percentage.

{phang}
{opt bootopts(string)} specifies the options passed directly to
{helpb bootstrap}.

{phang}
{opt ac(#)} defines the bootstrap blocksize by searching until the absolute
autocorrelation with that lag falls below {it:#}. The default is
{cmd:ac(0.05)}.


{title:Example}

{phang}{cmd:. mcmclength alpha beta}{p_end}


{title:Author}

{pstd}
John Thompson{break}
Department of Health Sciences{break}
University of Leicester, UK{break}

{pstd}
Please report any errors to
{browse "mailto:john.thompson@le.ac.uk":john.thompson@le.ac.uk}.
{p_end}
