{smcl}
{* *! version 1.0.0  22May2006}{...}
{cmd:help mcmctrace} 
{hline}

{title:Title}

{p2colset 5 18 20 2}{...}
{p2col :{hi:mcmctrace} {hline 2}}Trace (history) plots of an MCMC run{p_end}
{p2colreset}{...}


{title:Syntax}

{phang2}
{cmd:mcmctrace}
{varlist} 
{ifin}
[{cmd:,} {it:options}]

{synoptset 20}{...}
{synopthdr}
{synoptline}
{synopt:{opth c:hain(varname)}}variable containing the chain identifier{p_end}
{synopt:{opt over:lay}}overlay the plots for different chains on the same axis{p_end}
{synopt:{opth i:teration(varname)}}variable for the x axis{p_end}
{synopt:{opt l:evel(#)}}percentage within the credible limits{p_end}
{synopt:{opt gopt:ions(string)}}any {helpb twoway_options:twoway} options to
affect rendition of the individual plots{p_end}
{synopt:{opt cgopt:ions(string)}}any {helpb graph combine} options to affect
rendition of combining plots{p_end}
{synoptline}
{p2colreset}{...}


{title:Description}

{pstd}
{cmd:mcmctrace} plots the consecutive values from an MCMC run as a time
series.  The plot also shows the median and the 95% credible interval. If more
than one variable is specified, then the separate plots will be combined and
placed next to or above one another. If there is more than one chain, the plots
for the separate chains can be either displayed separately or overlayed onto
one plot.


{title:Options}

{phang}
{opth chain(varname)} specifies the name of a variable containing the chain
number for multichain MCMC runs. 

{phang}
{opt overlay} plots different chains on the same set of axes.

{phang}
{opth iteration(varname)} specifies the variable for use as the x axis. If
{cmd:iteration()} is not specified, then the data are plotted in the order in
which they appear in the file at points 1, 2, 3, ....

{phang}
{opt level(#)} specifies the percentage within the two credible limits shown
on the plot.  The default is {cmd:c(level)}.

{phang}
{opt goptions(string)} are any of the {helpb twoway_options:twoway} options
for controlling the separate plots of each parameter or chain. 

{phang}
{opt cgoptions(string)} are any of the {helpb graph combine} options to
control the combining of the plots. 


{title:Example}

{pstd}
Assume that alpha and beta are parameters and t counts the iteration number,
so two thinned plots would be produced and be displayed under one another{p_end}
{phang2}{cmd:. mcmctrace alpha beta if mod(t,10)==0, cgoptions(row(2))}{p_end}


{title:Author}

{pstd}
John Thompson{break}
Department of Health Sciences{break}
University of Leicester, UK{break}

{pstd}
Please report any errors to
{browse "mailto:john.thompson@le.ac.uk":john.thompson@le.ac.uk}.
{p_end}
