{smcl}
{* *! version 1.0.0  dec2012}{...}
{cmd:help mhslogn} 
{hline}

{title:Title}

{p2colset 5 16 18 2}{...}
{p2col :{hi:mhslogn} {hline 2}}Metropolis-Hastings algorithm based on a random walk with a lognormal proposal distribution{p_end}
{p2colreset}{...}


{title:Syntax}

{phang2}
{cmd:mhslogn} {it:logpost rowvector parameter} {ifin} {weight}{cmd:,}
{opt sd(#)} [{opt logp(#)}]

{phang}
{it:logpost} must be the name of the user's program for calculating the log of
the conditional posterior density.
See {help mhsnorm##userprog:Structure for the user's program} in
{helpb mhsnorm} for more details on how to write the program for the log
posterior.

{phang}
{it:rowvector} must be the name of the row vector containing the parameter
values.

{phang}
{it:parameter} must be the number of the parameter that is being updated.

{synoptset 12 tabbed}{...}
{synopthdr}
{synoptline}
{p2coldent:* {opt sd(#)}}standard deviation of the proposal distribution{p_end}
{synopt:{opt logp(#)}}value of log posterior at current point{p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}
* {cmd:sd()} is required.{p_end}
{p 4 6 2}
{opt fweight}s are allowed; see {help weight}.


{title:Description}

{pstd}
{cmd:mhslogn} uses the Metropolis-Hastings algorithm to create a single update
of a single parameter.  Because it uses a lognormal proposal distribution, it
is suitable for a parameter, such as a variance, which can take only positive
values. Repeated calls to {cmd:mhslogn} can be used to create an MCMC
algorithm and hence estimate the posterior distribution of the parameter. The
user must supply the name of a program that evaluates the log posterior; this
program must have the structure described in {helpb mhsnorm}. Parameters are
passed in a row vector. The efficiency but not the validity of the algorithm is
affected by the choice of standard deviation for the proposal. Values between
one-half and three-quarters of the size of the range of the posterior (on a log
scale) usually work well.  It is not valid to use previous results from the
same chain to alter the standard deviation of the proposal
distribution.{p_end}


{title:Options}

{phang}
{opt sd(#)} specifies the standard deviation of the proposal distribution.
This {it:#} affects the efficiency of the algorithm.  Values that are too
small will lead to small changes in the parameter and thus to slow
convergence. Values that are too large will produce proposals that are
frequently rejected, again causing slow convergence.{p_end}

{phang}
{opt logp(#)} specifies the value of the log posterior at the current point.
If given and not missing, then this value is used, and the value is not
recalculated, which saves one call to the user's program {it:logpost}.{p_end}


{title:Stored results}

{pstd}
{cmd:mhslogn} stores the following in {cmd:r()}:

{p2colset 9 20 22 2}{...}
{p2col 5 12 16 2: Scalars}{p_end}
{synopt:{cmd:r(logp)}}log posterior for the updated set of parameters{p_end}
{synopt:{cmd:r(accept)}}{cmd:1} if the proposal was accepted and {cmd:0} otherwise{p_end}
{p2colreset}{...}


{title:Example}

{phang}{cmd:. mhslogn logpost b 3, sd(0.1)}{p_end}


{title:Comment}

{pstd}
Lognormal proposals are useful for parameters that can only be positive.
When parameters can take any real value, use {helpb mhsnorm}. For
parameters defined over the range (a,b), where a and b may be finite or
infinite, use {helpb mhstrnc}.  {helpb mhsmnorm} updates a set of parameters
using a multivariate Gaussian distribution.


{title:Author}

{pstd}
John Thompson{break}
Department of Health Sciences{break}
University of Leicester, UK{break}

{pstd}
Please report any errors to
{browse "mailto:john.thompson@le.ac.uk":john.thompson@le.ac.uk}.
{p_end}
