{smcl}
{* *! version 1.0.0  22May2006}{...}
{cmd:help wbsarray} 
{hline}

{title:Title}

{p2colset 5 17 19 2}{...}
{p2col :{hi:wbsarray} {hline 2}}Write data as a WinBUGS array{p_end}
{p2colreset}{...}


{title:Syntax}

{phang2}
{cmd:wbsarray}
{varlist} [{cmd:using} {it:{help filename}}]
{ifin}
[{cmd:,} {it:options}]

{synoptset 20}{...}
{synopthdr}
{synoptline}
{synopt:{opt f:ormats(string)}}output formats{p_end}
{synopt:{opt replace}}overwrite the output file if it exists{p_end}
{synopt:{opt n:ames(string)}}alternative names for the variables{p_end}
{synoptline}
{p2colreset}{...}


{title:Description}

{pstd}
{cmd:wbsarray} writes a WinBUGS array to the Results window or a text file
given by {cmd:using}.  It is useful for rectangular sets of variables with
equal length. WinBUGS can read more than one data file, so it is possible
to put other arrays, scalars, etc., into a different file.


{title:Options}

{phang}
{opt formats(string)} specifies the format used for writing the data.  The
default is {cmd:formats(%8.3f)}.  Formats cycle so that
{cmd:formats(%4.0f %3.1f)} would write the data using
{cmd:%4.0f %3.1f %4.0f} ....

{phang}
{opt replace} specifies that the output file be overwritten if it already
exists.

{phang}
{opt names(string)} specifies alternative names for the variables. It enables
a variable to be called by a name in WinBUGS that is different from the name
used in Stata. For example, you might specify {cmd:names(a b)}, in which case
the two variables would be labeled {cmd:a[]} and {cmd:b[]}, or you could
specify {cmd:name(a[,1] a[,2])} to have the variables form a matrix in
WinBUGS.


{title:Example}

{pstd}
Typing

{phang2}
{cmd:. wbsarray x1 x2 x3 using temp.txt, format(%4.0f %6.1f %8.4f)}{p_end}

{pstd}
would produce something like

{col 9}  x1[]  x2[]    x3[]
{col 9}  34    16.4  3.4508
{col 15}  ...
{col 9}  END

{pstd}
{helpb wblist} writes data as a list rather than as an array.


{title:Additional software}

{pstd}
The WinBUGS Manual is available from {browse www.mrc-bsu.cam.ac.uk/bugs}.
Information about OpenBUGS is available from {browse www.openbugs.net/}.
See {search winbugs} for a list of all the commands for running WinBUGS from
Stata.


{title:Author}

{pstd}
John Thompson{break}
Department of Health Sciences{break}
University of Leicester, UK{break}

{pstd}
Please report any errors to
{browse "mailto:john.thompson@le.ac.uk":john.thompson@le.ac.uk}.
{p_end}
