{smcl}
{* *! version 1.0.0  22May2006}{...}
{cmd:help wbsrun} 
{hline}

{title:Title}

{p2colset 5 15 17 2}{...}
{p2col :{hi:wbsrun} {hline 2}}Runs WinBUGS from within Stata{p_end}
{p2colreset}{...}


{title:Syntax}

{phang2}
{cmd:wbsrun} {cmd:using} {it:{help filename}}
[{cmd:,} {it:options}]

{synoptset 20}{...}
{synopthdr}
{synoptline}
{synopt:{opt e:xecutable(string)}}WinBUGS executable with path{p_end}
{synopt:{opt b:ackground}}run WinBUGS in the background{p_end}
{synopt:{opt o:penbugs}}run OpenBUGS rather than WinBUGS{p_end}
{synopt:{opt h:eadless}}do not display the interface; specify with {cmd:openbugs}{p_end}
{synoptline}
{p2colreset}{...}


{title:Description}

{pstd}
{cmd:wbsrun} runs a WinBUGS script file as specified by the using
{it:filename}.


{title:Options}

{phang}
{opt executable(string)} specifies the WinBUGS executable with full path. This
option may be omitted if the user has specified the path to the executable in
a file called {cmd:executables.txt} within his or her {cmd:PERSONAL} folder.
For the original version of WinBUGS, this text file should contain a line with
the format{p_end}

{phang2}{cmd:WINBUGS,"path\WINBUGS14.exe"}{p_end}

{pmore}
For OpenBUGS, the line should read{p_end}

{phang2}{cmd:OPENBUGS,"path\WINBUGS.exe"}{p_end}

{pmore}
In both cases, the word "path" should be replaced by the full path to the
executable. Which of the two is extracted for this text file is controlled by
whether the {cmd:openbugs} option is specified.

{pmore}
{cmd:wbsrun} checks which operating system is being used and if it detects
Unix or Linux, then it automatically calls OpenBUGS because there is no
version of WinBUGS that runs under Unix or Linux.

{phang}
{opt background} specifies to run WinBUGS in the background, which returns
control to Stata while the program executes.  The default is for Stata to wait
for WinBUGS to finish before becoming active again.

{phang}
{opt openbugs} specifies to run the OpenBUGS version of WinBUGS.

{phang}
{opt headless} specifies that when users run the OpenBUGS version of WinBUGS,
the interface be prevented from displaying to the screen.


{title:Example}

{phang}{cmd:. wbsrun using d:/mydata/script.txt}{p_end}


{title:Additional software}

{pstd}
The WinBUGS Manual is available from {browse www.mrc-bsu.cam.ac.uk/bugs}.
Information about OpenBUGS is available from {browse www.openbugs.net/}.
See {search winbugs} for a list of all the commands for running WinBUGS from
Stata.


{title:Author}

{pstd}
John Thompson{break}
Department of Health Sciences{break}
University of Leicester, UK{break}

{pstd}
Please report any errors to
{browse "mailto:john.thompson@le.ac.uk":john.thompson@le.ac.uk}.
{p_end}
